%define name glib-networking
%define version 2.28.5
%define release %mkrel 1
%define libname %mklibname %name
%define giolibname %mklibname gio2.0_ 0

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary: Network-related GIO modules
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnome.org/
BuildRequires: glib2-devel >= 2.25
BuildRequires: libproxy-devel
BuildRequires: intltool
BuildRequires: gnutls-devel
# (ahmad) should be enabled when we switch to GNOME 3.0
#BuildRequires: gsettings-desktop-schemas-devel

Requires: %{libname} = %{version}

%description
This package contains the network-related GIO modules for Glib.

%package -n %libname
Summary: Network-related GIO modules
Group:System/Libraries
Requires: %name >= %version-%release
Requires(post): %giolibname >= 2.23.4-2mdv
Requires(postun): %giolibname >= 2.23.4-2mdv

%description -n %libname
This package contains the network-related GIO modules for Glib.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/gio/modules/*.la

%find_lang %name

%clean
rm -rf %{buildroot}

%post -n %{libname}
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules 

%postun -n %{libname}
if [ "$1" = "0" ]; then
   %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files -f %name.lang
%defattr(-,root,root)
%doc README
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service

%files -n %libname
%defattr(-,root,root)
%_libdir/gio/modules/libgiolibproxy.so
%_libdir/gio/modules/libgiognutls.so


%changelog
* Fri Apr 15 2011 ahmad <ahmad> 2.28.5-1.mga1
+ Revision: 85781
- update to 2.28.5
- add BR gnutls-devel
- add requires on %%libname to the main package
- use the %%{__isa_bits} in %%post/postun

* Mon Mar 07 2011 dmorgan <dmorgan> 2.26.0-1.mga1
+ Revision: 66290
- imported package glib-networking


* Wed Oct 13 2010 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2011.0
+ Revision: 585446
- update to new version 2.26.0

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.25.0-1mdv2011.0
+ Revision: 574667
- import glib-networking

